Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spell
Class SuggestWordScoreComparator

    java.lang.Object
      org.apache.lucene.search.spell.SuggestWordScoreComparator

All Implemented Interfaces:
  Comparator<SuggestWord>

    public class SuggestWordScoreComparator

extends Object
implements Comparator<SuggestWord>

Score first, then frequency

Constructor Summary
`SuggestWordScoreComparator()` Creates a new comparator that will compare by `SuggestWord.score`, then by `SuggestWord.freq`, then by `SuggestWord.string`.

Method Summary
`int` | `compare(SuggestWord first, SuggestWord second)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SuggestWordScoreComparator

    public SuggestWordScoreComparator()

  Creates a new comparator that will compare by `SuggestWord.score`, then by `SuggestWord.freq`, then by `SuggestWord.string`.

Method Detail

### compare

    public int compare(SuggestWord first,
                       SuggestWord second)

  Specified by:
    `compare` in interface `Comparator<SuggestWord>`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.